package admin_promotion

import (
	"net/http"

	"qnc-server/app/main/api/internal/logic/admin_promotion"
	"qnc-server/app/main/api/internal/svc"
	"qnc-server/app/main/api/internal/types"
	"qnc-server/common/result"
	"qnc-server/pkg/lzkit/validator"

	"github.com/zeromicro/go-zero/rest/httpx"
)

func DeletePromotionLinkHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.DeletePromotionLinkReq
		if err := httpx.Parse(r, &req); err != nil {
			result.ParamErrorResult(r, w, err)
			return
		}
		if err := validator.Validate(req); err != nil {
			result.ParamValidateErrorResult(r, w, err)
			return
		}
		l := admin_promotion.NewDeletePromotionLinkLogic(r.Context(), svcCtx)
		err := l.DeletePromotionLink(&req)
		result.HttpResult(r, w, nil, err)
	}
}
